<?php

namespace App\Http\Controllers\API;

use Illuminate\Http\Request;
use Auth;
class APITestController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        // $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        return view('home');
    }

    public function user()
    {
        return response()->json([
            'status'        => true,
            'data'          => Auth::user(),
            'token_type'    => 'Bearer',
        ]);
    }

    public function product($batch_no)
    {
        if ($batch_no == "abc")
            {
            $json = file_get_contents('../resources/json/product.json');
            $gravatar = json_decode($json);
            // dd($gravatar);
            }
        elseif($batch_no == "pqr")
            {
            $json = file_get_contents('../resources/json/invalid.json');
            $gravatar = json_decode($json);
            // dd($gravatar);
            }
        elseif($batch_no == "xyz")
            {
            $json = file_get_contents('../resources/json/already.json');
            $gravatar = json_decode($json);
            // dd($gravatar);
            }
        return $gravatar;

        }
    // public function invalidProduct(Request $request)
    // {
    //     $json = file_get_contents('../resources/json/invalid.json');
    //     $gravatar = json_decode($json);
    //     // dd($gravatar);
    //     return $gravatar;
    // }

}