<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Log;

class AppProductWarranty extends Model {

    /**
     * The database table used by the model.
     *
     * @var string
     */

    public function partWarranty()
    {
        return $this->hasMany(AppWarrantyPart::class,'app_warranty_id','id');
    }


    public function product() {
        return $this->hasOne(Product::class,'id', 'product_id');
    }

    public function extedndedWarranty() {
        return $this->hasOne(AppExtendedWarranty::class,'app_warranty_id','id');
    }
    
}
