<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Log;

class ContactPerson extends Model {

    /**
     * The database table used by the model.
     *
     * @var string
     */

    protected $table = 'contact_persons';
    protected $primaryKey = 'id';

    public function companyContactPerson() {
        return $this->belongsTo(Company::class);
    }
    
    public $timestamps = false;
}
