<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('app_extended_warranties', function (Blueprint $table) {
            $table->id();
            $table->integer('app_warranty_id');
            $table->string('warranty_period')->nullable();
            $table->string('provider_name')->nullable();
            $table->string('provider_phone')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
};
