<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class OrderProductDetil extends Model
{
    use HasFactory,SoftDeletes;


    public function products()
    {
        return $this->hasOne(Product::class,'id','product_id');
    }

    public function category()
    {
        return $this->hasOne(Categories::class,'id','category_id');
    }

    public function batches()
    {
        return $this->hasMany(OrderBatch::class,'product_order_id','id');
    }

    public function orderDetails()
    {
        return $this->hasOne(Order::class,'id','order_id');
    }
}
