<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Log;

class ProductWarranty extends Model {

    /**
     * The database table used by the model.
     *
     * @var string
     */

    protected $table = 'product_warranty';
    protected $primaryKey = 'id';

    public function warrantyDetails() {
        return $this->belongsTo(Product::class);
    }
    
    public $timestamps = false;
}
