<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('phone_code')->nullable();
            $table->string('phone')->nullable();
            $table->integer('user_status')->default(1);
            $table->string('fcm_token')->nullable();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColoumn('phone_code');
            $table->dropColoumn('phone');
            $table->dropColoumn('user_type');
            $table->dropColoumn('fcm_token');
            $table->dropColoumn('user_status');
            $table->dropColoumn('deleted');
        });
    }
};
