<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('warranty_part', function (Blueprint $table) {
            $table->id();
            $table->integer('product_id');
            //$table->unsignedBigInteger('warranty_id');
           // $table->foreign('warranty_id')->references('id')->on('product_warranty'); 
            $table->string('part_name')->nullable();
            $table->integer('part_warranty_count')->nullable();
            $table->string('part_warranty_duration')->nullable();

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('warranty_part');
    }
};
