<?php
  
namespace Database\Seeders;
  
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Permission;
  
class PermissionTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $permissions = [
           'role-list',
           'role-create',
           'role-edit',
           'role-delete',
           'user-list',
           'user-create',
           'user-edit',
           'user-delete',
           'permission-list',
           'permission-create',
           'permission-edit',
           'permission-delete',
           'category-list',
           'category-create',
           'category-edit',
           'category-delete',
           'company-list',
           'company-create',
           'company-edit',
           'company-delete',
           'products-list',
           'products-create',
           'products-edit',
           'products-delete',
           'orders-list',
           'orders-create',
           'orders-edit',
           'orders-delete'
        ];
      
        foreach ($permissions as $permission) {
             Permission::create(['name' => $permission]);
        }
    }
}